Transfer
POST
/transfers/{transfer_id}/captureCapture
Capture a pending transfer (manual capture_method only).
Moves held funds to the destination.
Requires: Bearer token, X-Country header.
This endpoint is deprecated and no longer be used.
Request
Example
curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/transfers/{{transfer_id}}/capture' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request. |
Responses
200200
Headers
| Name | Value |
|---|---|
| Date | Wed, 06 May 2026 05:37:17 GMT |
| Content-Type | application/json |
| Content-Length | 582 |
| Vary | Origin |
Body
{
"id": "f3127d9b-ef0a-429c-9c9a-28c5e468d934",
"created_at": "2026-05-06T05:37:08.919805Z",
"updated_at": "2026-05-06T05:37:17.822915086Z",
"object": "transfer",
"amount": 1000,
"application_fee_amount": 100,
"application_tax_amount": 0,
"net_amount": 900,
"currency": "USD",
"scaling_factor": 100,
"status": "captured",
"from": {
"customer_id": "b13a9fbb-0f86-48da-87d8-eb51a74cadfb",
"balance_id": "70017bd3-95ff-446c-ba6d-749239f90725"
},
"to": {
"customer_id": "b13a9fbb-0f86-48da-87d8-eb51a74cadfb",
"balance_id": "ddc2e970-381f-4b9a-a83e-595d03925d49"
},
"idempotency_key": "f2b3b58d-6d40-49b6-9081-b186c7eafedc"
}